Subject: Re: bug#27930: 24.5; The underline of hyperlink text is unbounded

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Aug 2017 19:33:49 +0300

> From: hw <[email-masked]>
> Date: Thu, 03 Aug 2017 20:43:42 +0800
> 
> 
> When I reference to Info node with "C-x h handle-switch-frame RET",
> I get the *Help* buffer poped up. The first line shows:
> 
> handle-switch-frame is an interactive built-in function in `C source
> code'
> 
> The text "C source code" above is a hyperlink so it is blue with
> underline, but the underline extend to the right edge of
> the buffer window, which I think should stop at the end line right
> after the text "source". So the text above in my text teminal looks
> like this:
> 
> <left>                 <mid>                   <right>
> XXXX function in `____________________________________
> ___'.

I think this is expected on a TTY: the face of the last character is
extended all the way to the end of the window.  That's how Emacs was
designed to work in this case.